#ifndef __NTC_TEMPERATURE_H__
#define __NTC_TEMPERATURE_H__

#include <stdint.h>

#ifdef __cplusplus
extern "C" {
#endif

float NTC_CalculateResistance(float v_ntc, float v_ref, float r_fixed);
float NTC_GetTemperature(float r_ntc); // 插值查表方式

#ifdef __cplusplus
}
#endif

#endif // __NTC_TEMPERATURE_H__
